const jsImg = '/img/skills/javascript.svg'
const tsImg = '/img/skills/typescript.svg'
const vueImg = '/img/skills/vue.svg'
const reactImg = '/img/skills/react.svg'
const postCssImg = '/img/skills/postcss.svg'
const scssImg = '/img/skills/sass.svg'
const cssImg = '/img/skills/css.svg'
const htmlImg = '/img/skills/html.svg'
const phaserImg = '/img/skills/phaser.png'
const unityImg = '/img/skills/unity.png'
const csImg = '/img/skills/cs.svg'
const aseImg = '/img/skills/aseprite.png'
const glImg = '/img/skills/gitlab.svg'
const vitestImg = '/img/skills/vitest.svg'
const njsImg = '/img/skills/nodejs.svg'
const ngImg = '/img/skills/angular.svg'
const javaImg = '/img/skills/java.svg'
const jetbrainsImg = '/img/skills/jetbrains.svg'
const nuxtImg = '/img/skills/nuxt.svg'
const twImg = '/img/skills/tw.svg'
const rustImg = '/img/skills/rust.svg'

export type ISkill = {
  name: string
  img: string
  link ?: string
}

export const js: ISkill = {name: 'JavaScript', img: jsImg}
export const ts: ISkill = {name: 'TypeScript', img: tsImg, link: 'https://www.typescriptlang.org'}
export const vue: ISkill = {name: 'Vuejs', img: vueImg, link: 'https://vuejs.org'}
export const react: ISkill = {name: 'React', img: reactImg, link: 'https://reactjs.org'}
export const pcss: ISkill = {name: 'PostCSS', img: postCssImg, link: 'https://postcss.org'}
export const scss: ISkill = {name: 'SCSS', img: scssImg}
export const css: ISkill = {name: 'CSS', img: cssImg}
export const html: ISkill = {name: 'HTML', img: htmlImg}
export const phaser: ISkill = {name: 'Phaser 3', img: phaserImg}
export const unity: ISkill = {name: 'Unity 3D', img: unityImg}
export const cs: ISkill = {name: 'C#', img: csImg}
export const ase: ISkill = {name: 'Aseprite', img: aseImg}
export const gl: ISkill = {name: 'GitLab', img: glImg, link: 'https://gitlab.com'}
export const vitest: ISkill = {name: 'Vitest', img: vitestImg, link: 'https://vitest.dev'}
export const njs: ISkill = {name: 'Nodejs', img: njsImg, link: 'https://nodejs.org/en'}
export const ng: ISkill = {name: 'Angular', img: ngImg}
export const java: ISkill = {name: 'Java', img: javaImg, link: 'https://www.java.com/de/'}
export const rust: ISkill = {name: 'Rust', img: rustImg, link: 'https://www.rust-lang.org'}
export const jetbrains: ISkill = {name: 'JetBrains IDEs', img: jetbrainsImg, link: 'https://www.jetbrains.com'}
export const nuxt: ISkill = {name: 'Nuxt', img: nuxtImg, link: 'https://nuxt.com'}
export const tw: ISkill = {name: 'Tailwind', img: twImg}
